Customers
CRM Resources · 5 endpoints
GET
/v1/customersList Customers
app_install_bearerscope: customers:read
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
statusquery | string | optional | active, inactive, lead, prospect, pending |
customer_typequery | string | optional | individual, business, government, non_profit |
limitquery | integer | optional | |
starting_afterquery | string | optional | |
ending_beforequery | string | optional |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | CustomerListResponse | required | |
data.has_more | boolean | required | |
data.items | CustomerObject[] | required | |
data.items[].account_number | string | optional | |
data.items[].business_number | string | optional | |
data.items[].city | string | optional | |
data.items[].company_name | string | optional | |
data.items[].country | string | optional | |
data.items[].created_at | string | optional | |
data.items[].currency_code | string | optional | |
data.items[].customer_type | string | optional | individual, business, government, non_profit |
data.items[].email | string | required | |
data.items[].first_name | string | required | |
data.items[].id | string | required | |
data.items[].is_tax_exempt | boolean | optional | |
data.items[].job_title | string | optional | |
data.items[].last_name | string | required | |
data.items[].mobile | string | optional | |
data.items[].object | string | optional | customer |
data.items[].phone | string | optional | |
data.items[].postal_code | string | optional | |
data.items[].preferred_language | string | optional | |
data.items[].province | string | optional | |
data.items[].status | string | optional | active, inactive, lead, prospect, pending |
data.items[].street_address | string | optional | |
data.items[].tax_exempt_reason | string | optional | |
data.items[].updated_at | string | optional | |
data.items[].website | string | optional | |
data.next_cursor | string | optional | |
data.object | string | optional | list |
data.url | string | optional | |
success | boolean | required | true |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/customers \
-H "Authorization: Bearer $GETME_API_KEY"POST
/v1/customersCreate Customer
app_install_bearerscope: customers:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Request body · application/json
| Field | Type | Required | Description |
|---|---|---|---|
business_number | string | optional | |
city | string | optional | |
company_name | string | optional | |
country | string | optional | |
currency_code | string | optional | |
customer_type | string | optional | individual, business, government, non_profit |
email | string | required | |
first_name | string | required | |
is_tax_exempt | boolean | optional | |
job_title | string | optional | |
last_name | string | required | |
mobile | string | optional | |
phone | string | optional | |
postal_code | string | optional | |
preferred_language | string | optional | |
province | string | optional | |
status | string | optional | active, inactive, lead, prospect, pending |
street_address | string | optional | |
tax_exempt_reason | string | optional | |
website | string | optional |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | CustomerObject | required | |
data.account_number | string | optional | |
data.business_number | string | optional | |
data.city | string | optional | |
data.company_name | string | optional | |
data.country | string | optional | |
data.created_at | string | optional | |
data.currency_code | string | optional | |
data.customer_type | string | optional |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/customers \
-X POST \
-H "Authorization: Bearer $GETME_API_KEY" \
-H "Idempotency-Key: idem_1234567890abcdef" \
-H "Content-Type: application/json" \
-d '{
"business_number": "business_number",
"city": "city",
"company_name": "company_name",
"country": "country",
"currency_code": "currency_code",
"customer_type": "individual"
}'GET
/v1/customers/{customer_id}Get Customer
app_install_bearerscope: customers:read
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
customer_idpath | string | required | Customer public identifier in cust_<21 Base62> format. |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | CustomerObject | required | |
data.account_number | string | optional | |
data.business_number | string | optional | |
data.city | string | optional | |
data.company_name | string | optional | |
data.country | string | optional | |
data.created_at | string | optional | |
data.currency_code | string | optional | |
data.customer_type | string | optional | individual, business, government, non_profit |
data.email | string | required | |
data.first_name | string | required | |
data.id | string | required | |
data.is_tax_exempt | boolean | optional | |
data.job_title | string | optional | |
data.last_name | string | required | |
data.mobile | string | optional | |
data.object | string | optional | customer |
data.phone | string | optional | |
data.postal_code | string | optional | |
data.preferred_language | string | optional | |
data.province | string | optional | |
data.status | string | optional | active, inactive, lead, prospect, pending |
data.street_address | string | optional | |
data.tax_exempt_reason | string | optional | |
data.updated_at | string | optional | |
data.website | string | optional | |
success | boolean | required | true |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/customers/{customer_id} \
-H "Authorization: Bearer $GETME_API_KEY"PATCH
/v1/customers/{customer_id}Update Customer
app_install_bearerscope: customers:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
customer_idpath | string | required | Customer public identifier in cust_<21 Base62> format. |
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Request body · application/json
| Field | Type | Required | Description |
|---|---|---|---|
business_number | string | optional | |
city | string | optional | |
company_name | string | optional | |
country | string | optional | |
currency_code | string | optional | |
customer_type | string | optional | individual, business, government, non_profit |
email | string | optional | |
first_name | string | optional | |
is_tax_exempt | boolean | optional | |
job_title | string | optional | |
last_name | string | optional | |
mobile | string | optional | |
phone | string | optional | |
postal_code | string | optional | |
preferred_language | string | optional | |
province | string | optional | |
status | string | optional | active, inactive, lead, prospect, pending |
street_address | string | optional | |
tax_exempt_reason | string | optional | |
website | string | optional |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | CustomerObject | required | |
data.account_number | string | optional | |
data.business_number | string | optional | |
data.city | string | optional | |
data.company_name | string | optional | |
data.country | string | optional | |
data.created_at | string | optional | |
data.currency_code | string | optional | |
data.customer_type | string | optional |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/customers/{customer_id} \
-X PATCH \
-H "Authorization: Bearer $GETME_API_KEY" \
-H "Idempotency-Key: idem_1234567890abcdef" \
-H "Content-Type: application/json" \
-d '{
"business_number": "business_number",
"city": "city",
"company_name": "company_name",
"country": "country",
"currency_code": "currency_code",
"customer_type": "individual"
}'POST
/v1/customers/{customer_id}/archiveArchive Customer
app_install_bearerscope: customers:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
customer_idpath | string | required | Customer public identifier in cust_<21 Base62> format. |
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | CustomerObject | required | |
data.account_number | string | optional | |
data.business_number | string | optional | |
data.city | string | optional | |
data.company_name | string | optional | |
data.country | string | optional | |
data.created_at | string | optional | |
data.currency_code | string | optional | |
data.customer_type | string | optional | individual, business, government, non_profit |
data.email | string | required | |
data.first_name | string | required | |
data.id | string | required | |
data.is_tax_exempt | boolean | optional | |
data.job_title | string | optional | |
data.last_name | string | required | |
data.mobile | string | optional | |
data.object | string | optional | customer |
data.phone | string | optional | |
data.postal_code | string | optional | |
data.preferred_language | string | optional | |
data.province | string | optional | |
data.status | string | optional | active, inactive, lead, prospect, pending |
data.street_address | string | optional | |
data.tax_exempt_reason | string | optional | |
data.updated_at | string | optional | |
data.website | string | optional | |
success | boolean | required | true |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/customers/{customer_id}/archive \
-X POST \
-H "Authorization: Bearer $GETME_API_KEY" \
-H "Idempotency-Key: idem_1234567890abcdef"